<?php
define('NTLCMS', 1);
$module = 'ref';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
$page_title = 'Страница рейтинга по рефералам - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('../system/head.php');
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
echo '<div class="title"><b>'.razd.' Рейтинг по рефералам</b></div>';
$k_post = DB :: run() -> querySingle("select count(`id`) from `users` where `ref` <> '0'");
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage;
$sql = DB :: run() -> query("select (`login`), (`ref`) from `users` where `ref` <> '' and `id` <> '0' order by `ref` desc limit ".$start.", ".$onpage);
if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Рейтинг по рефералам пуст!</center></div>';
} else {
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
echo '<div class="menu">'.ava($row -> login).' '.login($row -> login, 1).' <span class="count">'.word(((int) $row -> ref), 'реферал', 'реферала', 'рефералов').'</span></div>';
}
if ($k_page > 1) navigation(URL.'/rate_refer?', $k_page, $page);
}
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/rate">Рейтинги клуба</a></div>';
include ('../system/foot.php');
?>